package com.yizhi.application.mapper;

import java.util.List;

import com.yizhi.application.domain.TrSign;
import com.yizhi.application.domain.TrSignTime;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.sign.application.vo.SignTimeVO;

/**
 * <p>
 * 签到时间段，一个 sign 对应多个 sign_time Mapper 接口
 * </p>
 *
 * @author fanchunhui123
 * @since 2018-03-07
 */
public interface SignTimeMapper extends BaseMapper<TrSignTime> {
	int updateSignTimesStateBySignIdAndIds(@Param("signId")Long signId, @Param("times")List<SignTimeVO> times, 
			@Param("accountId")Long accountId, @Param("accountName")String accountName);


	TrSign selectByTimeId(@Param("signTimeId") Long param);
}
