package com.yizhi.sign.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className ExportSignRecordVO
 * @description TODO
 * @date 2019/6/6
 **/

@Data
@Api(tags = "ExportSignRecordVO", description = "签到记录导出VO")
public class ExportSignRecordVO {

    @ApiModelProperty(value = "学员ID")
    private Long accountId;

    @ApiModelProperty(value = "项目名称")
    private String tainingProjectName;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "姓名")
    private String accountFullName;

    @ApiModelProperty(value = "签到状态,0未签到,1已签到,2补签")
    private Integer signState;

    @ApiModelProperty(value = "签到时间")
    private Date signTime;

    @ApiModelProperty(value = "所属部门")
    private String orgName;

    @ApiModelProperty(value = "用户状态")
    private Integer accountState;
}
