package com.yizhi.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.domain.TrSignTime;
import com.yizhi.application.mapper.SignTimeMapper;
import com.yizhi.application.service.SignTimeService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 签到时间段，一个 sign 对应多个 sign_time 服务实现类
 * </p>
 *
 * @author fanchunhui123
 * @since 2018-03-07
 */
@Service
public class SignTimeServiceImpl extends ServiceImpl<SignTimeMapper, TrSignTime> implements SignTimeService {

}
